export type DecodedObject = {
    ipfs?: string;
    solcVersion?: string;
    experimental?: boolean;
    bzzr0?: string;
    bzzr1?: string;
    [key: string]: string | Uint8Array | undefined | boolean;
};
/**
 * Decode contract's bytecode
 * @param bytecode - hex of the bytecode with 0x prefix
 * @returns Object describing the contract
 */
export declare const decode: (bytecode: string) => DecodedObject;
/**
 * Splits bytecode into execution bytecode and auxdata
 * If the bytecode has no CBOR encoded part, returns the whole bytecode
 * @param bytecode - hex of the bytecode with 0x prefix
 * @returns string[] - [ executionBytecode, auxdata?, cborBytesLength?] all as hexStrings
 */
export declare const splitAuxdata: (bytecode: string) => string[];
//# sourceMappingURL=bytecode.d.ts.map